Merchant Biometric Ekyc Status

List of Merchant onboarded through the Merchant Onboarding APIs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN
X-Ipay-Outlet-IdStringMerchant unique IDMY

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
spKeyStringMService key ( DMI or WAP)
DMI for DMT
WAP for AePS

Request Parameters

curl --location --request POST 'https://api.instantpay.in/user
/outlet/signup/biometricKycStatus' \
--header 'Accept: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "spkey": "DMI"
}'
POST /user
/outlet/signup/biometricKycStatus HTTP/1.1
Host: api.instantpay.in
Accept: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
X-Ipay-Outlet-Id: {{outletId}}
Content-Type: application/json

{
"spKey": "DMI"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Biometric authentication required",
    "data": {
        "outletId": null,
        "outletAadhaarNumber": "XXXX-XXXX-9262",
        "action": "ACTION-REQUIRED",
        "status": "PENDING",
        "isFaceAuthAvailable": false,
        "isBiometricKycMandatory": false,
        "pidOptionWadh": "E0jzJ/P8UopUHAieZn8CKqS4WPMi5ZSYXgfnlfkWjrc=",
        "referenceKey": "qgvE86a9iLnUDjF+QICtLQYdUQP3rTipRtxaE9T6IcpEeO6ifmZV+7QA28rp9gFp",
        "referenceKeyType": "OutletBiometicKyc"
    },
    "timestamp": "2025-11-12 12:33:50",
    "ipay_uuid": "h000a0566fc7-c799-48ac-b89a-ebdce602bc7d-28rzhjPMnPK2",
    "orderid": null,
    "environment": "LIVE"
}
📘

Note :

If action is ACTION-REQUIRED then initiate the Merchant Biometric KYC.

If action is NO-ACTION-REQUIRED then Merchant biometric kyc is successfully done.

If outletAadhaarNumber contains the last 4 digits of the Aadhaar, then in the Merchant Biometric KYC, encryptedAadhaar is optional.
However, if outletAadhaarNumber is empty, then encryptedAadhaar becomes mandatory and should contain the merchant’s Aadhaar number.

📘

Note :

If the status is PENDING or APPROVAL_PENDING, it indicates that the approval is still pending at the bank’s end. To fetch the latest status, call the Biometric Status API at 30-minute intervals.

If the status is APPROVED, it means the outlet has been approved by the bank and is now eligible to initiate transactions.


Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json